Package com.meterware.httpunit

# Class TableCell

java.lang.Object
com.meterware.httpunit.ParsedHTML
com.meterware.httpunit.BlockElement
com.meterware.httpunit.TableCell

All Implemented Interfaces:
  `HTMLElement`, `HTMLSegment`, `ScriptingEventHandler`

public class TableCell extends BlockElement
A single cell in an HTML table.

## Method Summary

Modifier and Type
Method
Description
`String`
`asText()`
Deprecated.
as of 1.6, use #getText()
`int`
`getColSpan()`
Returns the number of columns spanned by this cell.
`int`
`getRowSpan()`
Returns the number of rows spanned by this cell.

### Methods inherited from class com.meterware.httpunit.BlockElement

`doEvent, doEventScript, equals, getAttribute, getAttributeValue, getClassName, getDOM, getID, getName, getNode, getParentDelegate, getScriptingHandler, getTagName, getText, getTitle, handleEvent, hashCode, isSupportedAttribute, newScriptable, removeAttribute, setAttribute`

### Methods inherited from class com.meterware.httpunit.ParsedHTML

`getApplets, getElementNames, getElementsWithAttribute, getElementsWithName, getElementWithID, getFirstMatchingForm, getFirstMatchingLink, getFirstMatchingTable, getFirstMatchingTextBlock, getForms, getFormWithID, getFormWithName, getFrames, getImages, getImageWithAltText, getImageWithName, getImageWithSource, getLinks, getLinkWith, getLinkWithID, getLinkWithImageText, getLinkWithName, getMatchingForms, getMatchingLinks, getMatchingTables, getNextTextBlock, getTables, getTableStartingWith, getTableStartingWithPrefix, getTableWithID, getTableWithSummary, getTextBlocks, isWebLink, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.meterware.httpunit.HTMLSegment

`getApplets, getElementNames, getElementsWithAttribute, getElementsWithName, getElementWithID, getFirstMatchingForm, getFirstMatchingLink, getFirstMatchingTable, getForms, getFormWithID, getFormWithName, getImages, getImageWithAltText, getImageWithName, getImageWithSource, getLinks, getLinkWith, getLinkWithImageText, getMatchingForms, getMatchingLinks, getMatchingTables, getTables, getTableStartingWith, getTableStartingWithPrefix, getTableWithID, getTableWithSummary, getTextBlocks`

## Method Details

### getColSpan

public int getColSpan()
Returns the number of columns spanned by this cell.

### getRowSpan

public int getRowSpan()
Returns the number of rows spanned by this cell.

### asText

public String asText()
Deprecated.
as of 1.6, use #getText()
Returns the text value of this cell.